ANACRON(8)

NOM
anacron — Exécuter des commandes périodiquement

SYNOPSIS
anacron [-s] [-f] [-n] [-d] [-q] [-t fichier_anacrontab] [-S répertoire_dateurs] [tâches]
anacron [-S répertoire_dateurs] -u [-t fichier_anacrontab] [tâches]
anacron [-V|-h]
anacron -T [-t fichier_anacrontab]

DESCRIPTION
anacron permet d'exécuter des commandes à intervalles réguliers avec une périodicité spécifiée en jours. À la différence de cron(8), il ne part pas du principe que la machine fonctionne de manière permanente. Il peut ainsi être utilisé sur des machines qui ne fonctionnent pas 24 heures sur 24 pour contrôler des tâches quotidiennes, hebdomadaires ou mensuelles.

anacron lit une liste de tâches dans le fichier de configuration /etc/anacrontab (voir anacrontab(5)). Ce fichier contient la liste des tâches que contrôle anacron. Chaque entrée correspondant à une tâche spécifie une périodicité en jours, un délai en minutes, un identifiant de tâche unique et une commande de l'interpréteur.

Pour chaque tâche, anacron vérifie si cette dernière a été exécutée au cours des n derniers jours où n correspond à la périodicité de cette tâche. Si une tâche n'a pas été exécutée au cours des n derniers jours ou plus, anacron exécute la commande de l'interpréteur spécifiée pour cette tâche après avoir attendu pendant le nombre de minutes indiqué à l'aide du paramètre délai.

Lorsque la commande rend la main, anacron enregistre la date (sans l'heure) dans un fichier dateur spécifique à cette tâche de façon à ce qu'il puisse savoir quand il devra exécuter cette tâche à nouveau.

Lorsqu'il n'y a plus de tâches à exécuter, anacron quitte.

anacron ne prend en compte que les tâches dont l'identifiant, décrit dans anacrontab(5), correspond à un des arguments tâches de la ligne de commande. Les arguments tâches de la ligne de commande peuvent être représentés à l'aide de modèles avec caractères génériques de l'interpréteur de commande (assurez-vous de les protéger de votre interpréteur de commande à l'aide de guillemets adéquats). Ne spécifier aucun argument de ligne de commande tâches est équivalent à en spécifier un contenant « * » (ce qui implique qu'anacron prendra en compte toutes les tâches).

Si anacron est exécuté sans l'option -d (voir plus loin), il se duplique à l'aide d'un « fork » en arrière-plan après avoir démarré, et tout processus parent quitte immédiatement.

Si anacron est exécuté sans les options -s ou -n, il lance les tâches immédiatement après expiration du délai qui leur est attribué. L'exécution des différentes tâches est totalement indépendante.

Si l'exécution d'une tâche génère une sortie vers la sortie standard ou la sortie d'erreur standard, cette sortie est envoyée sous forme de message à l'utilisateur sous lequel anacron s'exécute (en général root), ou à l'adresse indiquée par la variable d'environnement MAILTO définie dans le fichier /etc/anacrontab, si elle existe. Si la variable d'environnement LOGNAME est définie, elle est utilisée pour remplir le champ From: du message.

Tout message d'information généré par anacron est envoyé à syslogd(8) ou rsyslogd(8) sous la catégorie cron et avec la priorité définie à notice. Tout message d'erreur est envoyé avec la priorité error.

Les tâches « actives » (c'est-à-dire les tâches qu'anacron a décidé d'exécuter et qui attendent l'expiration de leur délai, ainsi que les tâches qui sont en cours d'exécution par anacron) sont « verrouillées », de façon à ce que d'autres instances d'anacron ne puissent pas les exécuter en même temps.

OPTIONS

-f  Forcer l'exécution de toutes les tâches en ignorant les fichiers dateurs.

-u  Mettre à jour les fichiers dateurs à la date actuelle pour toutes les tâches, mais n'en exécuter aucune.

-s  Sérialiser l'exécution des tâches. anacron ne démarrera alors une nouvelle tâche qu'une fois la tâche précédente terminée.

-n  Exécuter les tâches immédiatement en ignorant les délais spécifiés dans le fichier /etc/anacrontab. Cette option implique l'utilisation de l'option -s.

-d  Ne pas dupliquer anacron en arrière-plan à l'aide d'un « fork ». Dans ce mode, anacron va envoyer les messages d'information sur la sortie d'erreur standard, ainsi que vers syslog. En outre, anacron va envoyer la sortie de toute tâche par messagerie.

-q  Supprimer tous les messages à destination de la sortie d'erreur standard. Seulement applicable avec l'option -d.

-t fichier_anacrontab
    Utiliser le fichier fichier_anacrontab spécifié à la place du fichier par défaut /etc/anacrontab.

-T  Tester la validité du fichier de configuration /etc/anacrontab. Si le fichier comporte une erreur, elle sera indiquée sur la sortie standard et anacron renverra la valeur 1. Si le fichier anacrontab est valable, anacron renverra la valeur 0.

-S répertoire_dateurs
    Utiliser le répertoire spécifié pour stocker les fichiers dateurs. Cette option est nécessaire si l'utilisateur souhaite exécuter anacron lui-même.

-V  Afficher les informations de version et quitter.

-h  Afficher une aide succincte et quitter.

SIGNAUX
À la réception d'un signal SIGUSR1, anacron attend que toutes les tâches soient terminées puis quitte. C'est une manière d'arrêter anacron proprement.

NOTES
Assurez-vous que votre fuseau horaire est défini correctement avant de démarrer anacron, car le fuseau horaire affecte la date. Pour ce faire, on définit la variable d'environnement TZ ou on installe un fichier /usr/lib/zoneinfo/localtime. Voir tzset(3) pour plus d'informations.

Les fichiers dateurs sont créés dans le répertoire dédié pour chaque tâche spécifiée dans le fichier anacrontab. Ces fichiers ne sont jamais supprimés automatiquement par anacron et ils doivent être supprimés à la main lorsqu'une tâche n'est plus planifiée.

FICHIERS

/etc/anacrontab
    Contient la liste des tâches. Voir anacrontab(5) pour une description complète.

/var/spool/anacron
    anacron utilise ce répertoire pour stocker les fichiers dateurs.

VOIR AUSSI
anacrontab(5), cron(8), tzset(3)

Le fichier README d'Anacron.

BOGUES
anacron ne supprime jamais les fichiers dateurs. Supprimez les fichiers inutilisés à la main.

anacron utilise jusqu'à deux descripteurs de fichier pour chaque tâche active, et la limite du nombre de descripteurs de fichier peut être atteinte s'il y a de nombreuses tâches actives. Utiliser echo $(($(ulimit -n) / 2)) pour déterminer le nombre de tâches qu'anacron peut exécuter simultanément.

Vous pouvez envoyer par messagerie vos commentaires, suggestions et rapports de bogue à Sean 'Shaleh' Perry (shaleh@(debian.org|valinux.com)).

AUTEUR
anacron a été initialement conçu et implémenté par Christian Schwarz (schwarz@monet.m.isar.de).

L'implémentation actuelle est une réécriture complète par Itai Tzur (itzur@actcom.co.il).

La base du code était entretenue par Sean 'Shaleh' Perry (shaleh@(debian.org|valinux.com)).

Depuis 2004, elle est entretenue par Pascal Hakim (pasc@(debian.org|redellipse.net)).

Pour Fedora, anacron est entretenu par Marcela Mašláňová (mmaslano@redhat.com).

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc DUFLOT et Lucien Gentis <lucien.gentis@waika9.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.